Author Topic: need help make bitshares wallet  (Read 1232 times)

0 Members and 1 Guest are viewing this topic.

Offline her0

  • Sr. Member
  • ****
  • Posts: 258
    • View Profile
need help make bitshares wallet
« on: December 14, 2016, 08:25:50 am »
Scanning dependencies of target fc
[  8%] Building CXX object libraries/fc/CMakeFiles/fc.dir/src/uint128.cpp.o
[  9%] Building CXX object libraries/fc/CMakeFiles/fc.dir/src/real128.cpp.o
[  9%] Building CXX object libraries/fc/CMakeFiles/fc.dir/src/variant.cpp.o
[  9%] Building CXX object libraries/fc/CMakeFiles/fc.dir/src/exception.cpp.o
[ 10%] Building CXX object libraries/fc/CMakeFiles/fc.dir/src/variant_object.cpp.o
[ 10%] Building CXX object libraries/fc/CMakeFiles/fc.dir/src/thread/thread.cpp.o
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread.cpp:5:
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread_d.hpp:5:
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/context.hpp:10:
In file included from /usr/local/include/boost/coroutine/stack_context.hpp:14:
/usr/local/include/boost/coroutine/detail/config.hpp:17:4: warning:
      "Boost.Coroutine is now deprecated. Please switch to Boost.Coroutine2. To
      disable this warning message, define
      BOOST_COROUTINE_NO_DEPRECATION_WARNING." [-W#warnings]
#  warning                  "Boost.Coroutine is now deprecated. Please s...
   ^
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread.cpp:5:
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread_d.hpp:5:
/Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/context.hpp:215:9: error:
      no type named 'fcontext_t' in namespace 'boost::context'
    bc::fcontext_t               my_context;
    ~~~~^
/Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/context.hpp:69:23: error:
      no member named 'make_fcontext' in namespace 'boost::context'
     my_context = bc::make_fcontext( stack_ctx.sp, stack_ctx.size, sf);
                  ~~~~^
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread.cpp:5:
/Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread_d.hpp:401:17: error:
      no member named 'jump_fcontext' in namespace 'boost::context'; did you
      mean 'boost::context::detail::jump_fcontext'?
                bc::jump_fcontext( &prev->my_context, next->my_context, 0 );
                ^~~~~~~~~~~~~~~~~
                boost::context::detail::jump_fcontext
/usr/local/include/boost/context/detail/fcontext.hpp:31:35: note:
      'boost::context::detail::jump_fcontext' declared here
transfer_t BOOST_CONTEXT_CALLDECL jump_fcontext( fcontext_t const to, vo...
                                  ^
In file included from /Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread.cpp:5:
/Users/youngroyallincoln/bitshares-2/libraries/fc/src/thread/thread_d.hpp:443:17: error:
      no member named 'jump_fcontext' in namespace 'boost::context'; did you
      mean 'boost::context::detail::jump_fcontext'?
                bc::jump_fcontext( &prev->my_context, next->my_context, ...
                ^~~~~~~~~~~~~~~~~
                boost::context::detail::jump_fcontext
/usr/local/include/boost/context/detail/fcontext.hpp:31:35: note:
      'boost::context::detail::jump_fcontext' declared here
transfer_t BOOST_CONTEXT_CALLDECL jump_fcontext( fcontext_t const to, vo...
                                  ^
1 warning and 4 errors generated.
make[2]: *** [libraries/fc/CMakeFiles/fc.dir/src/thread/thread.cpp.o] Error 1
make[1]: *** [libraries/fc/CMakeFiles/fc.dir/all] Error 2
make: *** [all] Error 2

Offline abit

  • Committee member
  • Hero Member
  • *
  • Posts: 4314
    • View Profile
    • Abit's Hive Blog
  • BitShares: abit
  • GitHub: abitmore
Re: need help make bitshares wallet
« Reply #1 on: December 14, 2016, 09:55:48 am »
Your boost version? Afaik 1.57.0 works just fine, but perhaps higher versions don't.
BTS account: abit
BTS committee member: abit
BTS witness: in.abit

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12914
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Re: need help make bitshares wallet
« Reply #2 on: December 14, 2016, 12:28:30 pm »
should work with 1.60.0 as well .. but won't work with >1.61!
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline her0

  • Sr. Member
  • ****
  • Posts: 258
    • View Profile
Re: need help make bitshares wallet
« Reply #3 on: December 15, 2016, 09:38:10 am »
thanks, switch boost version to 1.60 now it work well

Offline Chronos

Re: need help make bitshares wallet
« Reply #4 on: December 15, 2016, 04:58:28 pm »
Perhaps this is something that Soledger would like to look into through their worker role? We should strive to be compatible with the latest versions of our dependencies.

[member=4854]vikram[/member]